View Issue Details

IDProjectCategoryView StatusLast Update
0003427unrealmodule apipublic2007-07-24 07:06
ReporteraptiAssigned Tostskeeps 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSLinuxOS Version2.6
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003427: m_opermotd.so should be configurable through <files>
DescriptionThe module m_opermotd provides the feature known as OPERMOTD, which is a core feature of u3. But it would make sense to configure it through <files> when it is loaded, just like it is done with m_conn_umodes.

Example (current):
<opermotd file="/foo/bar">

Better:
<files motd="foo.motd" rules="foo.rules" opermotd="oper.motd">
TagsNo tags attached.
3rd party modules

Relationships

child of 0003417 closed TODO list for Unreal4.0 

Activities

2007-07-24 02:20

 

opermotd-configfix.patch (1,843 bytes)

CuttingEdge

2007-07-24 02:22

reporter   ~0014573

I've submitted a patch to do this. Use on U4 r86 SVN.

stskeeps

2007-07-24 02:59

reporter   ~0014575

Patched in r87

Issue History

Date Modified Username Field Change
2007-07-06 14:47 apti New Issue
2007-07-09 15:58 stskeeps Status new => acknowledged
2007-07-09 15:58 stskeeps Relationship added child of 0003417
2007-07-23 09:39 stskeeps QA => Not touched yet by developer
2007-07-23 09:39 stskeeps U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-07-23 09:39 stskeeps U4: Upstream notification of bug => Not decided
2007-07-23 09:39 stskeeps U4: Contributor working on this => None
2007-07-23 09:39 stskeeps Status acknowledged => confirmed
2007-07-24 02:20 CuttingEdge File Added: opermotd-configfix.patch
2007-07-24 02:22 CuttingEdge Note Added: 0014573
2007-07-24 02:46 stskeeps QA Not touched yet by developer => No need for QA
2007-07-24 02:46 stskeeps U4: Contributor working on this None => CuttingEdge
2007-07-24 02:59 stskeeps QA No need for QA => Fixed by developer, needs QA testing
2007-07-24 02:59 stskeeps Status confirmed => resolved
2007-07-24 02:59 stskeeps Fixed in Version => 4.0-devel
2007-07-24 02:59 stskeeps Resolution open => fixed
2007-07-24 02:59 stskeeps Assigned To => stskeeps
2007-07-24 02:59 stskeeps Note Added: 0014575
2007-07-24 07:02 TheSkorm QA Fixed by developer, needs QA testing => QA has declined the fix
2007-07-24 07:02 TheSkorm Status resolved => confirmed
2007-07-24 07:04 TheSkorm QA QA has declined the fix => QA has accepted the fix
2007-07-24 07:04 TheSkorm Status confirmed => closed
2007-07-24 07:06 stskeeps Status closed => resolved
2017-01-06 15:48 syzop Category module => module api